Loading...
Searching...
No Matches
osmium::index::map::FlexMem< TId, TValue >::entry Struct Reference

## Public Member Functions

| entry (uint64_t i, TValue v)
bool | operator< (const entry other) const noexcept

## Public Attributes

uint64_t | id
TValue | value

## Constructor & Destructor Documentation

## entry()

template<typename TId, typename TValue>

osmium::index::map::FlexMem< TId, TValue >::entry::entry | ( | uint64_t | i,
|  | TValue | v )

inline

## Member Function Documentation

## operator<()

template<typename TId, typename TValue>

bool osmium::index::map::FlexMem< TId, TValue >::entry::operator< | ( | const entry | other | ) | const

inlinenoexcept

## Member Data Documentation

## id

template<typename TId, typename TValue>

uint64_t osmium::index::map::FlexMem< TId, TValue >::entry::id

## value

template<typename TId, typename TValue>

TValue osmium::index::map::FlexMem< TId, TValue >::entry::value

The documentation for this struct was generated from the following file:

- include/osmium/index/map/flex_mem.hpp